Package org.eclipse.lemminx.client

## Class InvalidPathWarner

- java.lang.Object
- - org.eclipse.lemminx.client.AbstractXMLNotifier
  - - org.eclipse.lemminx.client.InvalidPathWarner

    public class InvalidPathWarner
    extends AbstractXMLNotifier

This class sends a warning to the client via a jsonrpc notification The cache is a Map<String, Set<String>> where the keys are the feature names and the value is a set of file paths for which notifications have been sent already

### Field Summary

### Fields inherited from class org.eclipse.lemminx.client.AbstractXMLNotifier

`cache`

### Constructor Summary

Constructors
`InvalidPathWarner​(IXMLNotificationService notificationService)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onInvalidFilePath​(Set<String> invalidPaths, PathFeature feature)` Sends the invalid path warning to the client only if the provided `invalidPaths` set does not match the `feature`'s cache set After sending the warning, the `feature`'s cache set is replaced with the provided `invalidPaths` set

### Methods inherited from class org.eclipse.lemminx.client.AbstractXMLNotifier

`addToCache, evictKey, evictValue, existsInCache, existsInCache, getSharedSettings, sendNotification, setCacheValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidPathWarner

    public InvalidPathWarner​(IXMLNotificationService notificationService)

### Method Detail

#### onInvalidFilePath

    public void onInvalidFilePath​(Set<String> invalidPaths,
                                  PathFeature feature)

Sends the invalid path warning to the client only if the provided `invalidPaths` set does not match the `feature`'s cache set After sending the warning, the `feature`'s cache set is replaced with the provided `invalidPaths` set

Parameters:
  `invalidPaths` - the set of invalid paths
  `feature` - the feature